

## create-vue-tool 介绍

create-vue-tool 可以在指定目录下快速生成vue文件和css文件：

- 生成的vue文件支持optionAPI和compositionAPI (script setup形式 )

- 生成的css文件支持css、less、scss

  

## 如何运行



```
#全局安装
npm install create-vue-tool -g
```

## 使用

在命令行输入 `fast -h`  查看配置命令

```
Usage:  create|c [options] [filename]
Options:
  -v, --version [type]  create vue component with optionApi(version:2) or compositionApi(version:3) or scriptSetup (default: "3")
  -p, --path [path]     create vue component with folder  (default: "src/views")
  -c, --css [style]     vue style with "css/less/scss"  (default: "css")
  -st, --setup          create vue component with "setup" (default: true)
  -t, --ts              create vue component with "ts" (default: false)
  -s, --scoped          vue style with scoped (default: true)
  -h, --help            display help for command
```



## 例子

输入 `fast create demo ` ，可在根目录/src/views 下生成 demo/demo.vue 和 demo.css

输入 `fast create demo -c scss ` ，可在根目录/src/views 下生成 demo/demo.vue 和 demo.scss

输入 `fast create demo -p src/views/foo` ，可在根目录/src/views /foo下生成 demo/demo.vue 和 demo.css

输入 `fast create demo -v2 ` ，可生成格式为optionAPI的vue文件，同理 -v3为compositionAPI (script setup形式 )

其他 `-st ` `-t` `-s`等命令同理，可以配置文件需要的标签



## 发布版本

#### version 1.1.0：

修改模板编译方式

#### version 1.0.0:

无